Skip to main content
POST
/
v1
/
events
/
{incident_event_id}
/
services
Creates an incident event service
curl --request POST \
  --url https://api.rootly.com/v1/events/{incident_event_id}/services \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/vnd.api+json' \
  --data '
{
  "data": {
    "type": "incident_event_services",
    "attributes": {
      "incident_event_id": "<string>",
      "service_id": "<string>"
    }
  }
}
'
import requests

url = "https://api.rootly.com/v1/events/{incident_event_id}/services"

payload = { "data": {
"type": "incident_event_services",
"attributes": {
"incident_event_id": "<string>",
"service_id": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
type: 'incident_event_services',
attributes: {incident_event_id: '<string>', service_id: '<string>'}
}
})
};

fetch('https://api.rootly.com/v1/events/{incident_event_id}/services', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": "<string>",
    "type": "incident_event_services",
    "attributes": {
      "incident_event_id": "<string>",
      "service_id": "<string>"
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "<string>",
      "attributes": {},
      "relationships": {}
    }
  ]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}
{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

incident_event_id
string
required

Body

application/vnd.api+json
data
object
required

Response

incident_event_service created

data
object
required
included
object[]